reSIDfp::FilterModelConfig6581 Class Referencefinal

`#include <FilterModelConfig6581.h>`

Inheritance diagram for reSIDfp::FilterModelConfig6581:

## Public Member Functions

unsigned short * | getDAC (double adjustment) const
std::unique_ptr< Integrator6581 > | buildIntegrator ()
unsigned short | getVcr_nVg (int i) const
unsigned short | getVcr_n_Ids_term (int i) const
double | getUt () const
double | getN16 () const
Public Member Functions inherited from reSIDfp::FilterModelConfig
unsigned short ** | getGainVol ()
unsigned short ** | getGainRes ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
int | getVoiceScaleS11 () const
int | getNormalizedVoiceDC () const
unsigned short | getOpampRev (int i) const
double | getVddt () const
double | getVth () const
unsigned short | getNormalizedValue (double value) const
unsigned short | getNormalizedCurrentFactor (double wl) const
unsigned short | getNVmin () const

## Static Public Member Functions

static FilterModelConfig6581 * | getInstance ()

## Friends

class | std::auto_ptr< FilterModelConfig6581 >

## Additional Inherited Members

Protected Member Functions inherited from reSIDfp::FilterModelConfig
| FilterModelConfig (double vvr, double vdv, double c, double vdd, double vth, double ucox, const Spline::Point *opamp_voltage, int opamp_size)
Protected Attributes inherited from reSIDfp::FilterModelConfig
const double | voice_voltage_range
const double | voice_DC_voltage
const double | C
| Capacitor value.
const double | Vdd
| Transistor parameters.
const double | Vth
| Threshold voltage.
const double | Ut
| Thermal voltage: Ut = kT/q = 8.61734315e-5*T ~ 26mV.
const double | uCox
| Transconductance coefficient: u*Cox.
const double | Vddt
| Vdd - Vth.
const double | vmin
const double | vmax
const double | denorm
const double | norm
const double | N16
| Fixed point scaling for 16 bit op-amp output.
const double | currFactorCoeff
| Current factor coefficient for op-amp integrators.
unsigned short * | mixer [8]
| Lookup tables for gain and summer op-amps in output stage / filter.
unsigned short * | summer [5]
unsigned short * | gain_vol [16]
unsigned short * | gain_res [16]
unsigned short | opamp_rev [1<< 16]
| Reverse op-amp transfer function.

## Detailed Description

Calculate parameters for 6581 filter emulation.

## Member Function Documentation

## buildIntegrator()

std::unique_ptr< Integrator6581 > reSIDfp::FilterModelConfig6581::buildIntegrator | ( |  | ) |

Construct an integrator solver.

Returns
  the integrator

## getDAC()

unsigned short * reSIDfp::FilterModelConfig6581::getDAC | ( | double | adjustment | ) | const

Construct an 11 bit cutoff frequency DAC output voltage table. Ownership is transferred to the requester which becomes responsible of freeing the object when done.

Parameters

  adjustment |

Returns
  the DAC table

The documentation for this class was generated from the following files:

- FilterModelConfig6581.h
- FilterModelConfig6581.cpp